﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microsoft.Practices.Composite.Presentation.Commands;
using System.Windows.Input;
using System.ComponentModel;
using System.Windows;

namespace WpfApplication7
{
    public class ScoreListViewModel
    {
        public ICommand MouseLeftButtonUpCommand { get; set; }

        public ScoreListViewModel()
        {
            this.StudentList = new ObservableCollection<Student>(StudentService.RetrieveStudentList());
        
            MouseLeftButtonUpCommand = new DelegateCommand<object>(OnMouseLeftButtonUp, arg => true);
        }

        public ScoreListView View { get; set; }

        public ObservableCollection<Student> StudentList { get; set; }

        public void OnMouseLeftButtonUp(object obj)
        {
            MessageBox.Show("Click TextBlock!");
        }

    }
}
